Bug 933 - smbd crash in OpenDir (charset related?)
smbd crash in OpenDir (charset related?)
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.1
All Linux
: P2 normal
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-01 17:55 UTC by kiz_leo
Modified: 2005-11-14 09:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kiz_leo 2004-01-01 17:55:21 UTC
Dec 29 00:19:06 linux smbd[14423]:   BACKTRACE: 15 stack frames:
Dec 29 00:19:06 linux smbd[14423]:    #0 smbd(smb_panic+0x14e) [0x818f39e]
Dec 29 00:19:06 linux smbd[14423]:    #1 smbd [0x817f5b7]
Dec 29 00:19:06 linux smbd[14423]:    #2 smbd [0x42029188]
Dec 29 00:19:06 linux smbd[14423]:    #3 smbd(malloc+0xc8) [0x4207a158]
Dec 29 00:19:06 linux smbd[14423]:    #4 smbd(OpenDir+0x4c) [0x808424c]
Dec 29 00:19:06 linux smbd[14423]:    #5 smbd [0x80ae14f]
Dec 29 00:19:06 linux smbd[14423]:    #6 smbd(unix_convert+0x4b6) [0x80adc26]
Dec 29 00:19:06 linux smbd[14423]:    #7 smbd(reply_ntcreate_and_X+0x518) [0x809
2878]
Dec 29 00:19:06 linux smbd[14423]:    #8 smbd [0x80bd529]
Dec 29 00:19:06 linux smbd[14423]:    #9 smbd [0x80bd5ce]
Dec 29 00:19:06 linux smbd[14423]:    #10 smbd(process_smb+0x1a7) [0x80bd8d7]
Dec 29 00:19:06 linux smbd[14423]:    #11 smbd(smbd_process+0x151) [0x80be2c1]
Dec 29 00:19:06 linux smbd[14423]:    #12 smbd(main+0x6c3) [0x81ec0a3]
Dec 29 00:19:06 linux smbd[14423]:    #13 smbd(__libc_start_main+0x95) [0x420175
89]
Dec 29 00:19:06 linux smbd[14423]:    #14 smbd(chroot+0x39) [0x8076821]
Comment 1 Gerald (Jerry) Carter 2004-01-14 23:02:13 UTC
do you have any files in a share that are not in the unix charset
specified in smb.conf?
Comment 2 kiz_leo 2004-01-29 00:32:03 UTC
the share act as a "share" folder for win2k clients
filenames are english & chinese tradtionla(big5).

Comment 3 Gerald (Jerry) Carter 2004-03-04 09:44:09 UTC
Should be fixed in 3.0.2a.  At least we should not crash.
Comment 4 Gerald (Jerry) Carter 2005-08-24 10:19:19 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 5 Gerald (Jerry) Carter 2005-11-14 09:30:28 UTC
database cleanup